net.sf.jasperreports.engine.base

## Class JRBaseHyperlinkParameter

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseHyperlinkParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRHyperlinkParameter
  Direct Known Subclasses:
    JRDesignHyperlinkParameter

      public class JRBaseHyperlinkParameter
      extends java.lang.Object
      implements JRHyperlinkParameter, java.io.Serializable

  Base implementation of `JRHyperlinkParameter`.
  Version:
    $Id: JRBaseHyperlinkParameter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseHyperlinkParameter()` Creates a blank instance.
    `` | `JRBaseHyperlinkParameter(JRHyperlinkParameter parameter, JRBaseObjectFactory factory)` Creates an instance equivalent to an existing hyperlink parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getName()` Returns the parameter name.
    `JRExpression` | `getValueExpression()` Returns the parameter value expression.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### valueExpression

          protected JRExpression valueExpression

  - ### Constructor Detail

    - #### JRBaseHyperlinkParameter

          protected JRBaseHyperlinkParameter()

      Creates a blank instance.

    - #### JRBaseHyperlinkParameter

          public JRBaseHyperlinkParameter(JRHyperlinkParameter parameter,
                                  JRBaseObjectFactory factory)

      Creates an instance equivalent to an existing hyperlink parameter.
      Parameters:
        `parameter` - the parameter to replicate
        `factory` - the base object factory

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRHyperlinkParameter`
      Returns the parameter name.
      Specified by:
        `getName` in interface `JRHyperlinkParameter`
      Returns:
        the parameter name

    - #### getValueExpression

          public JRExpression getValueExpression()

      Description copied from interface: `JRHyperlinkParameter`
      Returns the parameter value expression.
      Specified by:
        `getValueExpression` in interface `JRHyperlinkParameter`
      Returns:
        the parameter value expression

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com